aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-14 11:24:09 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:29 +0000
commit6f583d8f8c2e7798079a48fec647e72f746056f2 (patch)
treea6a9bde01751ec03d9b14bb8febf3773a0c43366 /testing
parentf1d5234b33bf161ab6c45b1366b65f680c377e04 (diff)
downloadaports-6f583d8f8c2e7798079a48fec647e72f746056f2.tar.gz
aports-6f583d8f8c2e7798079a48fec647e72f746056f2.tar.bz2
aports-6f583d8f8c2e7798079a48fec647e72f746056f2.tar.xz
testing/py-flask-babel: new aport
Flask i18n/l10n support https://pypi.python.org/pypi/Flask-Babel
Diffstat (limited to 'testing')
-rw-r--r--testing/py-flask-babel/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-flask-babel/APKBUILD b/testing/py-flask-babel/APKBUILD
new file mode 100644
index 0000000000..618c59f1e8
--- /dev/null
+++ b/testing/py-flask-babel/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-flask-babel
+_pkgname=Flask-Babel
+pkgver=0.9
+pkgrel=0
+pkgdesc="Flask i18n/l10n support"
+url="https://pypi.python.org/pypi/Flask-Babel"
+arch="noarch"
+license="BSD"
+depends="python py-flask"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="4762e0392303f464d53cbebedfb87ded Flask-Babel-0.9.tar.gz"
+sha256sums="4afd150f360434b00684ba7848358f7961072fd0658a6e81aaa578522699fb4c Flask-Babel-0.9.tar.gz"
+sha512sums="c667c8a532332bb3dd0d694932d17f7f9b2b51f68151767624116853b2e71f2a6b4c47164d17a6f368b67a5cabce97495b18147655fb36aee5034c058d3b9a89 Flask-Babel-0.9.tar.gz"